cURL
curl --request POST \
--url https://api.apps.paloaltonetworks.com/ai_gw/admin/v2/mcp-integrations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"url": "<string>",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"description": "<string>",
"configurations": {
"custom_headers": {},
"passthrough_header": {}
},
"secret_mappings": [
{
"target_field": "<string>",
"secret_reference_id": "<string>",
"secret_key": "<string>"
}
]
}
'import requests
url = "https://api.apps.paloaltonetworks.com/ai_gw/admin/v2/mcp-integrations"
payload = {
"name": "<string>",
"url": "<string>",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"description": "<string>",
"configurations": {
"custom_headers": {},
"passthrough_header": {}
},
"secret_mappings": [
{
"target_field": "<string>",
"secret_reference_id": "<string>",
"secret_key": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
organisation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
slug: '<string>',
description: '<string>',
configurations: {custom_headers: {}, passthrough_header: {}},
secret_mappings: [
{
target_field: '<string>',
secret_reference_id: '<string>',
secret_key: '<string>'
}
]
})
};
fetch('https://api.apps.paloaltonetworks.com/ai_gw/admin/v2/mcp-integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>"
}Mcp integrations create
POST
/
mcp-integrations
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
oauth_auto, headers, none Available options:
http, sse Pattern:
^[a-zA-Z0-9_-]+$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on September 18, 2026
Was this page helpful?

